Subject: Re: bug#21333: 25.0.50; window-size-change-functions not called after mini-window resize

From: Pip Cet <[email-masked]>
Date: Fri, 28 Aug 2015 08:45:27 +0000

On Fri, Aug 28, 2015 at 8:19 AM, Pip Cet <[email-masked]> wrote:
>
> Am I missing something here?
>

Turns out I was missing (at least!) one thing: step 6 needs to be triggered
by a recursive minibuffer invocation, because exiting the minibuffer will
restore the old window configuration. The inconsistency can still happen,
but it's much more difficult to trigger than I thought.

(I must say I don't think restoring the window configuration upon
minibuffer exit is the right thing to do: if the user created, split, or
resized windows manually during the recursive editing session, at least
those manual changes should not be undone when they end that session. As
you've pointed out, looking into window configurations is quite tricky (and
impossible from Lisp code, IIUC), and I can currently only think of a
kludge to make it work.)